<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>ListenerPlayersMenu</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ListenerPlayersMenu";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ListenerPlayersMenu.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controler/ListenerParametres.html" title="class in controler"><span class="strong">Prev Class</span></a></li>
<li><a href="../controler/ListenerStart.html" title="class in controler"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?controler/ListenerPlayersMenu.html" target="_top">Frames</a></li>
<li><a href="ListenerPlayersMenu.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">controler</div>
<h2 title="Class ListenerPlayersMenu" class="title">Class ListenerPlayersMenu</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>controler.ListenerPlayersMenu</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.awt.event.ActionListener, java.util.EventListener</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">ListenerPlayersMenu</span>
extends java.lang.Object
implements java.awt.event.ActionListener</pre>
<div class="block">The Class ListenerPlayersMenu.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../controler/ListenerPlayersMenu.html#ListenerPlayersMenu(int)">ListenerPlayersMenu</a></strong>(int&nbsp;action)</code>
<div class="block">Instantiates a new listener players menu.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../controler/ListenerPlayersMenu.html#ListenerPlayersMenu(int,%20view.LinePlayer)">ListenerPlayersMenu</a></strong>(int&nbsp;action,
                   <a href="../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;line)</code>
<div class="block">Instantiates a new listener players menu.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/ListenerPlayersMenu.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed</a></strong>(java.awt.event.ActionEvent&nbsp;e)</code>
<div class="block">Manages the check button and color button.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<td class="colLast"><code><strong><a href="../controler/ListenerPlayersMenu.html#getColor(int)">getColor</a></strong>(int&nbsp;i)</code>
<div class="block">Gets the color.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../view/LinePlayer.html" title="class in view">LinePlayer</a></code></td>
<td class="colLast"><code><strong><a href="../controler/ListenerPlayersMenu.html#getLine()">getLine</a></strong>()</code>
<div class="block">Gets the line who represent a player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/ListenerPlayersMenu.html#setLine(view.LinePlayer)">setLine</a></strong>(<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;line)</code>
<div class="block">Sets the line who represent a player.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ListenerPlayersMenu(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ListenerPlayersMenu</h4>
<pre>public&nbsp;ListenerPlayersMenu(int&nbsp;action)</pre>
<div class="block">Instantiates a new listener players menu.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - the action</dd></dl>
</li>
</ul>
<a name="ListenerPlayersMenu(int, view.LinePlayer)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ListenerPlayersMenu</h4>
<pre>public&nbsp;ListenerPlayersMenu(int&nbsp;action,
                   <a href="../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;line)</pre>
<div class="block">Instantiates a new listener players menu.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - the action</dd><dd><code>line</code> - it represent a player</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="actionPerformed(java.awt.event.ActionEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionPerformed</h4>
<pre>public&nbsp;void&nbsp;actionPerformed(java.awt.event.ActionEvent&nbsp;e)</pre>
<div class="block">Manages the check button and color button.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>actionPerformed</code>&nbsp;in interface&nbsp;<code>java.awt.event.ActionListener</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>e</code> - the action event</dd></dl>
</li>
</ul>
<a name="getLine()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLine</h4>
<pre>public&nbsp;<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;getLine()</pre>
<div class="block">Gets the line who represent a player.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the line</dd></dl>
</li>
</ul>
<a name="setLine(view.LinePlayer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLine</h4>
<pre>public&nbsp;void&nbsp;setLine(<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;line)</pre>
<div class="block">Sets the line who represent a player.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>line</code> - the new line</dd></dl>
</li>
</ul>
<a name="getColor(int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getColor</h4>
<pre>public&nbsp;java.awt.Color&nbsp;getColor(int&nbsp;i)</pre>
<div class="block">Gets the color.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>i</code> - the index of the color.</dd>
<dt><span class="strong">Returns:</span></dt><dd>the color</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ListenerPlayersMenu.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controler/ListenerParametres.html" title="class in controler"><span class="strong">Prev Class</span></a></li>
<li><a href="../controler/ListenerStart.html" title="class in controler"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?controler/ListenerPlayersMenu.html" target="_top">Frames</a></li>
<li><a href="ListenerPlayersMenu.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
